Security Lab

Переполнение буфера в Fuzzball MUCK

Дата публикации:23.11.2006
Всего просмотров:1428
Опасность:
Высокая
Наличие исправления: Да
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Отказ в обслуживании
Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: Fuzzball MUCK 6.x
Уязвимые версии: Fuzzball MUCK версии до 6.07.

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании или выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в MPI (Message Parsing Interpreter). Удаленный пользователь может с помощью специально сформированного сообщения вызвать переполнение буфера и выполнить произвольный код на целевой системе.

URL производителя: sourceforge.net/projects/fbmuck/

Решение: Установите последнюю версию (6.07) с сайта производителя.